commit: 6e15b6e72f21c989cf9e084ce83b310a43e7454c
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 22:30:28 2015 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 22:32:11 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e15b6e7
www-apps/postfixadmin: adding die
Package-Manager: portage-2.2.20.1
www-apps/postfixadmin/postfixadmin-2.3.8.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/www-apps/postfixadmin/postfixadmin-2.3.8.ebuild
b/www-apps/postfixadmin/postfixadmin-2.3.8.ebuild
index 543a347..6c16e99 100644
--- a/www-apps/postfixadmin/postfixadmin-2.3.8.ebuild
+++ b/www-apps/postfixadmin/postfixadmin-2.3.8.ebuild
@@ -53,7 +53,7 @@ src_install() {
fperms 770 /var/spool/vacation/vacation.pl-${SLOT}
dodoc VIRTUAL_VACATION/FILTER_README
newdoc VIRTUAL_VACATION/INSTALL.TXT VIRTUAL_VACATION_INSTALL.TXT
- rm -r
VIRTUAL_VACATION/{vacation.pl,INSTALL.TXT,tests,FILTER_README}
+ rm -r
VIRTUAL_VACATION/{vacation.pl,INSTALL.TXT,tests,FILTER_README} || die
fi
insinto /usr/share/doc/${PF}/
@@ -80,7 +80,7 @@ pkg_postinst() {
chown vacation:vacation "${ROOT}"/var/spool/vacation/
einfo "/var/spool/vacation/vacation.pl symlink was updated to:"
einfo "/var/spool/vacation/vacation.pl-${SLOT}"
- ln -sf "${ROOT}"/var/spool/vacation/vacation.pl{-${SLOT},}
+ ln -sf "${ROOT}"/var/spool/vacation/vacation.pl{-${SLOT},} ||
die
fi
}
@@ -90,7 +90,7 @@ pkg_postrm() {
if [[ ! -e "${ROOT}"/var/spool/vacation/vacation.pl ]] &&
path_exists "${ROOT}"/var/spool/vacation/vacation.pl-*; then
ln -s $(LC_ALL=C ls -1 /var/spool/vacation/vacation.pl-* | tail
-n1) \
- "${ROOT}"/var/spool/vacation/vacation.pl
+ "${ROOT}"/var/spool/vacation/vacation.pl || die
ewarn "/var/spool/vacation/vacation.pl was updated to point on
most"
ewarn "recent verion, but please, do your own checks"
fi